#

## contact

Paint a contact at the intersection of two layers.

### Usage:

> contact [erase] type

### Summary:

> The contact command computes the intersection area (inside the cursor box) of the two (or more) residue types that make up the contact type type, and paints the contact type type on top of the area of intersection.

> Option contact erase erases contacts from the area of the cursor box without affecting the metal layers (or stacked contacts) surrounding the contact being erased. (Note that the erase command will remove both the contact type and the surrounding metal layers.)

### Implementation Notes:

> contact is implemented as a built-in layout command in magic.

### See Also:

> paint
> erase

Return to command index

Last updated: March 7, 2020 at 1:06pm